%define major 2
%define lib_name %mklibname agg %{major}
%define devel_name %mklibname agg -d

Summary: 	Open Source, free of charge graphic library
Name: 		libagg
Version: 	2.5
Release: 	%mkrel 3
Group: 		System/Libraries
License: 	AGG License
URL: 		http://www.antigrain.com/
Source:		http://www.antigrain.com/agg-%{version}.tar.xz
Patch0:		agg-2.5-linkage_fix.diff
Patch1:		agg-2.5-automake-1.12.patch
Patch2:		agg-2.5-drop-rpath.patch
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}x11-devel


%description
Anti-Grain Geometry (AGG) is an Open Source, free of charge graphic library, 
written in industrially standard C++. The terms and conditions of use AGG 
are described on The License page. AGG doesn't depend on any graphic API or 
technology. Basically, you can think of AGG as of a rendering engine that 
produces pixel images in memory from some vectorial data.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{devel_name}
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: %{lib_name} = %{version}-%{release}
Provides: agg-devel = %{version}-%{release}
Obsoletes: %{_lib}agg2-devel


%description -n %{devel_name}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -qn agg-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1
touch NEWS README AUTHORS

%build
autoreconf -fi
%define _disable_ld_no_undefined 1
%configure2_5x --datadir=%{_datadir} --disable-static --disable-examples
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{lib_name}
%_libdir/*.so.%{major}*

%files -n %{devel_name}
%_includedir/agg2
%_datadir/aclocal/*.m4
%_libdir/*.so
%_libdir/pkgconfig/libagg.pc

%clean
rm -rf %buildroot

%changelog
* Fri Aug 22 2014 bb <bb> 2.5-3pclos2014
- rebuild for new directfb
